/*
 *			N E T O P E N . C
 *
 *	Open a TCP/MDQS connection using Berkeley 4.1a style networking.
 *
 *	Doug Kingston, 12 May 83 at BRL.
 */
#include <stdio.h>
#include <sys/types.h>
#include <NET/net_types.h>
#include <NET/socket.h>
#include <NET/in.h>

extern int errno;
extern char *sys_errlist[];
u_long	rhost();

FILE *
netopen (host, port)
char	*host;
int	port;
{
	register int skt;
	struct sockaddr_in addr;

	addr.sin_family = AF_INET;
	addr.sin_port = htons(port);
	if ((addr.sin_addr.s_addr = rhost (&host)) == -1L) {
		err ("MDQS NETSEND: Unknown host '%s'", host);
		return (NULL);
	}
	
	skt = socket (SOCK_STREAM, 0, (struct sockaddr_in *) 0, SO_DONTLINGER);
	if( skt < 0 ) {
		err ("MDQS NETSEND: Can't get socket (%d)", errno);
		return( NULL );
	}
	if( connect(skt, &addr) < 0 ) {
		close( skt );
#ifdef NOISY
		err ("MDQS NETSEND: Can't get connection (%d)", errno);
#endif
		return( NULL );
	}
	return (fdopen (skt, "r+"));
}
